Subject: Bug#1469: X2Go issue (in src:x2goclient) has been marked as closed

From: X2Go Release Manager X2Go Release Manager <[email-masked]>
Date: Wed, 28 Jun 2023 22:06:22 +0200 (CEST)

close #1469
thanks

Hello,

we are very hopeful that X2Go issue #1469 reported by you
has been resolved in the new release (4.1.2.3) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.1.2.3)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    https://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=af4f113e3486f177247d774b2d1a45e0f3ecb57d;hp=043c16c050ab41a65da9e51629d7fc19ecf8ed08

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.1.2.3-0x2go1
Status: RELEASE
Timestamp: 1687982451
Date: Wed, 28 Jun 2023 22:00:51 +0200
Fixes: 1469
Changes:
 x2goclient (4.1.2.3-0x2go1) RELEASED; urgency=medium
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.1.2.3):
     - Load alternative image resources from specified folder.
     - Set correct aspect ratio for x2go and ON logos.
     - Download alternative resource files from http server.
     - Support for PNG background images.
     - Display state of broker connection in status bar.
     - Client can synchronize sessions with broker. Broker need to send
       syncinterval value in the client config section.
     - Set min width of session status label.
     - set clipboard mode of x2gokdriveclient in cmd line option.
     - Fix maximizing client window in thinclient mode with Qt5 (bullseye).
     - Add mime type application/x-x2go. X2Go Client can now automatically open
       session files with .x2go extension.
     - X2Go Client will send it's version to the broker when sending client
       event.
     - Don't close X2Go Client if settings dialog is called before broker auth.
     - X2Go Client will send it's OS name to the broker when sending client
       event.
     - Don't exit if connection to HTTP broker is failed when sync sessions.
     - Support for HTTP(S) urls in the session icons when using http broker.
     - Fix loading session icon to system tray when using broker.
     - Add --debug argument to x2gokdriveclient in debug mode.
     - Setting debug filter rules for QT>=5.2
     - Implement different view modes for sessions explorer:
       Favorite sessions, running sessions, all sessions.
     - Improve view modes in broker mode.
     - Set toolTip with detailed information for session button.
     - Show session path in session button in Favorite and Running views.
     - Improve synchronisation in broker mode.
     - Fix loading HTTP icon in pass dialog in broker mode.
     - Replace QFont::Thin with 0 to keep compatibility with Qt4.
     - Add special ACL for exported directories in Windows client.
     - Support for rootless X2GoKdrive sessions.
     - Fixed build with Qt5 on Windows.
     - Do not show empty folders in session explorer.
     - Support for OPENSSH PRIVATE KEY format sent from broker.
     - Do not show client in broker mode if startet in "hidden" mode.
     - Enable/Disable session view buttons inside of sessions explorer.
     - Add splash screen option when starting in hidden mode.
     - replace <HOME> with user's home dir in exports directories,
       when exporting session default directories.
     - create default export directory if not exists.
     - send to broker xdmcpserver in command option when starting xdmcp session.
     - improve processing stderr from nxproxy.
     - support for recent cygwin binaries and nxproxy 3.5.99.x
       all cygwin binaries and DLLs should be moved into the
       INSTDIR/bin directory by Windows installer.
     - for x2gokdrive sessions, when auto kbd layout is chosen,
       x2goclient will try to set the same kbd layout on server as on the
       client.
     - add "noresize" setting, which makes the proxy window not resizable
       for user.
     - on Windows SSHD will only listen 127.0.0.1 to avoid FW warnings.
     - on Windows check the location of cgwin binaries in <APPDIR> and
       in <APPDIR>/bin.
 .
   [ Ryan Schmidt ]
   * New upstream version (4.1.2.3):
     - x2goclient.pro: use the right C++ standard library on OS X/macOS.
 .
   [ Melroy van den Berg ]
   * New upstream version (4.1.2.3):
     - src/sshmasterconnection.c: send EOF before closing channel.
     - src/sshmasterconnection.c: return false if login check remote command
       execution failed.
     - src/sshmasterconnection.c: refactor some of the channel loop and fix
       channel/session closes.
     - src/sshmasterconnection.c: fix 'when not' password auth. Avoids double
       error messages.
     - src/sshmasterconnection.c: correct retval check.
     - src/sshmasterconnection.c: explicitly mark function parameters as unused.
     - .gitignore: ignore Visual Studio temporary files. Fixes: #1469.
 .
   [ Mihai Moldovan ]
   * New upstream version (4.1.2.3):
     - src/sshmasterconnection.{c,h}: fix builds, new function should have been
       registered and not static, but private.
     - .gitignore: add debian/control, since it's now auto-generated.
     - Makefile: support version switching through a QT_VERSION variable -
       might be overridden via environment variables or the make call.
     - x2goclient.spec: add version switching support. Use Qt 5 for FC31+, RHEL
       8 and *SuSE 15.3+.
     - x2goclient.spec: don't try to prepend %{_qt4_bindir} if the macro is not
       defined.
     - Makefile: allow passing down variables that are safe to pass via the
       environment.
     - x2goclient.spec: fix condition with maybe-undefined macro.
     - x2goclient.spec: typo fix in vendor macro.
     - x2goclient.spec: expand %{_qt4_bindir} to integer if it's set, instead
       of using it as a string in the condition (which then leads to parsing
       error).
     - x2goclient.spec: rework Qt5 dependencies. Use a common set of
       PkgConfig()-based dependencies for the Qt 5 libraries themselves and
       only make the linguist tools (lrelease) conditional.
     - Makefile: make controllable variables default-if-not-set to allow
       overriding via the environment.
     - Makefile: invoke make as $(MAKE) to keep original invocation.
     - x2goclient.spec: fix missing %endif in Qt-4-BuildRequires section.
     - x2goclient.spec: use %{_qt5_bindir} macro analogous to the Qt 4 variant.
     - x2goclient.spec: correctly quote PATH overrides.
     - x2goclient.spec: fix syntax error in Qt 5 PATH override.
     - x2goclient.spec: add BuildRequires on Qt5X11Extras.
     - x2goclient.spec: also use/handle %{_libqt5_bindir}, as used by *SuSE.
     - x2goclient.spec: add BuildRequires on Qt5Network. OpenSuSE Tumbleweed
       split the pkgconfig files up into individual packages, while older
       versions ship all of them in libqt5-qtbase-devel. The former does not
       automatically use that package any longer and hence will not pull in all
       library packages automatically. That's not a bad change, since it forces
       us to spell out the dependencies correctly.
     - src/onmainwindow.cpp: add Cancel standard shortcut to cancel button in
       login window. Change requested by Max-Planck-Institut für Kolloid- und
       Grenzflächenforschung Potsdam.
     - src/onmainwindow.cpp: consolidate Resume button enabling state in
       ONMainWindow::initSelectSessDlg ().
     - src/onmainwindow.{cpp,h}: add notice explaining how to resume running
       sessions. Change requested by Max-Planck-Institut für Kolloid- und
       Grenzflächenforschung Potsdam.
     - src/onmainwindow.cpp: add Cancel standard shortcut to cancel button in
       session selection view.
     - src/onmainwindow.cpp: set word wrapping on running label.
     - src/onmainwindow.cpp: increase height of session selection dialog in
       mini mode.
     - src/onmainwindow.cpp: increase fixed height of session selection dialog
       in normal mode and also set as minimum height.
     - src/onmainwindow.cpp: unbreak on Qt 4 by emulating QKeySequence::Cancel.
     - src/onmainwindow.cpp: unbreak more and make sure that the code actually
       works on older systems. A very important part of the magic is using the
       old Qt4 SIGNAL/SLOT syntax and making sure to drop parameters on both
       sides, so that the default slot parameter is used, which animates the
       button for 150 ms.
     - src/onmainwindow.cpp: fix session creation date/time display. The data
       returned by the server was changed to an ISO-date-formatted one in 2011,
       but that change was not carried over to the client. We've had silly
       dates for more than 10 years and nobody noticed. Go figure.
     - src/onmainwindow.cpp: convert server-reported time to human readable
       time in Qt's standard format in session list view.
     - handle_mxe.sh: rework, make most variables lowercase, change spacing,
       use proper if-else blocks, do not use special bash features for string
       comparison etc.
     - macbuild.sh: qmake never supported -config, it was always
       CONFIG(+)='something'.
     - config_linux_static.sh: also switch from -config to CONFIG+='...'.
     - {handle_mxe.sh,x2goclient.pro}: make mxe selectable via CONFIG option
       and prepare selector in x2goclient.pro.
     - x2goclient.pro: also select on win32 and not just win32-*, fix
       whitespace.
     - x2gohelper/Makefile.mxe: more quoting.
     - Windows: Update PuTTY from 0.73 to 0.78.
     - debian/preprocessor.pl: typo fixes only.
     - misc: pre-release copyright update.
     - man/man1/x2goclient.1: pre-release date update.
   * debian/control:
     + Move to debian/control.in.
   * debian/control.in:
     + Switch to priority: optional. "extra" has been deprecated long ago.
       Pulled from Mike's changes.
     + Drop x2goplugin{,-{provider,dbg}}. It's been dead long enough.
     + Add Qt version switching support.
     + Add build-dependency upon lsb-release. Should be always part of a
       dependency of essential or base packages, but make sure we have it.
     + Add build-dependency upon libencode-locale-perl, needed for our
       preprocessor Perl script.
     + Add build-dependency upon m4, needed by our preprocessing shell script.
   * debian/copyright:
     + Switch Upstream-Contact to myself. Pulled from Mike's changes.
     + Add new license "GPL-2+~OpenSSL" for the modified GPL 2+ license
       including the OpenSSL exception and use that where appropriate. Pulled
       from Mike's changes.
     + Move GPL-3 definition out-of-line. Pulled from Mike's changes.
     + Update notices.
   * debian/rules:
     + Preprocess files with an ".in" suffix in the "debian" directory. Mostly
       adapted from the firefox package.
     + Add Qt 4/5 switching, based upon the base system definition. Mostly
       adapted from x2gomatebindings.
     + Force re-generation of debian/control in clean rule.
     + Add force variables to bypass autodetection via lsb-release. This will
       be used by our buildscripts.
     + Do not force re-generation of debian/control in clean rule. Its executed
       non-chrooted by sbuild before building the source package, so forcing
       will overwrite the file our buildscripts generated with something not
       matching the target system.
     + Assign default values to the FORCE_{VENDOR,RELEASE_VER} variables - thus
       allowing passed-in values through the environment.
     + Utilize new version switching in main Makefile by overriding the
       QT_VERSION make variable.
     + Fix version detection on testing and unstable. lsb_release -r currently
       only outputs n/a on these suites, so fall back to a rather fragile
       detection via apt-cache policy instead.
     + Fix version detection on testing and unstable V2. Remove a= tag.
   * debian/:
     + New file "watch". We won't need this per se (since we're upstream and
       there cannot be a newer version of the Debian package without releasing
       it first), but it might make downstream's life easier. Or not, depending
       on whether it's kept up-to-date correctly or not. Pulled from Mike's
       changes.
     + New file "upstream/metadata". Same reasoning as for "watch". Pulled from
       Mike's changes.
     + New file "preprocessor.pl". Simple text file preprocessor supporting
       basic condition logic.
     + New file "proprocess.sh". Used to apply replacement tokens and run our
       new preprocessor.
 .
   [ Mike Gabriel ]
   * New upstream version (4.1.2.3):
     - Makefile: Install x-x2go.xml MIME database source file for .x2go file
       extension.
   * debian/x2gocient.install:
     + Install x-x2go.xml into bin:pkg x2goclient.
   * x2goclient.spec:
     + Install x-x2go.xml into bin:pkg and run update-mime-database during
       postinst.
 .
   [ Ulrich Sibiller ]
   * New upstream version (4.1.2.3):
     - desktop/x2goclient.desktop: drop Maemo support.
     - res/img/icons: drop Maemo support, remove hildon subdirectory.
     - res/img/svg: drop Maemo support, remove bg_hildon.svg.
     - res/resources.qrc: drop Maemo support, remove bg_hildon.svg entry.
     - src/{{InteractionDialog,configdialog,connectionwidget,
             editconnectiondialog,folderbutton,mediawidget,ongetpass,
             onmainwindow,printprocess,printwidget,sessionbutton,
             sessionmanagedialog,sessionwidget,settingswidget,
             sharewidget}.cpp,x2goclientconfig.h}: drop Maemo support.
     - /: drop Maemo support, remove x2goclient.pro.maemo.
     - /: add README.mxe, describing MXE builds.
     - /: add handle_mxe.sh, MXE control script.
     - x2goclient.pro: use different parameters for MXE builds.
     - x2gohelper/x2gohelper.cpp: use lower-case header files.
     - x2gohelper/: add Makefile.mxe.